
# Base all directories relative to the location of the ParaViewConfig.cmake file.
GET_FILENAME_COMPONENT(ParaView_INSTALL_PREFIX "${ParaView_DIR}/../.." ABSOLUTE)

# Version information for ParaView
SET(PARAVIEW_VERSION_MAJOR "3")
SET(PARAVIEW_VERSION_MINOR "8")
SET(PARAVIEW_VERSION_PATCH "0")
SET(PARAVIEW_VERSION_RC    "")

# Locations for the source and binary dirs.
# I am not sure ParaView_SOURCE_DIR should be exported since it won't be
# available for development-install
SET(ParaView_CMAKE_DIR "${ParaView_INSTALL_PREFIX}/lib/paraview/CMake")
SET(ParaView_BINARY_DIR "${ParaView_INSTALL_PREFIX}/bin")

# Some core ParaView settings.
SET(PARAVIEW_BUILD_SHARED_LIBS "ON")
SET(PARAVIEW_ENABLE_PYTHON "ON")
SET(PARAVIEW_BUILD_QT_GUI "ON")

SET(PARAVIEW_USE_FILE "${ParaView_INSTALL_PREFIX}/lib/paraview/CMake/ParaViewUse.cmake")
SET(PARAVIEW_VTK_DIR "${ParaView_INSTALL_PREFIX}/lib/paraview")
SET(PARAVIEW_QT_QMAKE_EXECUTABLE "")
SET(ParaView_QT_DIR "${ParaView_INSTALL_PREFIX}/include/paraview/Qt")

# Locate to extra CMake modules.
#SET(PARAVIEW_CMAKE_EXTENSIONS "")

SET(VTK_WRAP_ClientServer_EXE "${ParaView_INSTALL_PREFIX}/bin/vtkWrapClientServer")
SET(PARAVIEW_INCLUDE_DIRS "${ParaView_INSTALL_PREFIX}/include/paraview")
SET(PARAVIEW_LIBRARY_DIRS "${ParaView_INSTALL_PREFIX}/lib/paraview")

SET(PARAVIEW_GUI_INCLUDE_DIRS "${ParaView_INSTALL_PREFIX}/include/paraview")
SET(PARAVIEW_KWSYS_INCLUDE_DIRS "${ParaView_INSTALL_PREFIX}/include/paraview")

# Path to various paraview executables needed for testing.
SET(PARAVIEW_BATCH_EXECUTABLE "${ParaView_INSTALL_PREFIX}/bin/pvbatch")
SET(PARAVIEW_PYTHON_EXECUTABLE "${ParaView_INSTALL_PREFIX}/bin/pvpython")
SET(PARAVIEW_SERVER_EXECUTABLE "${ParaView_INSTALL_PREFIX}/bin/pvserver")
SET(PARAVIEW_DATA_SERVER_EXECUTABLE "${ParaView_INSTALL_PREFIX}/bin/pvdataserver")
SET(PARAVIEW_RENDER_SERVER_EXECUTABLE "${ParaView_INSTALL_PREFIX}/bin/pvrenderserver")
SET(PARAVIEW_SMTESTDRIVER_EXECUTABLE "${ParaView_INSTALL_PREFIX}/bin/smTestDriver")

SET(PARAVIEW_PROCESS_XML_EXECUTABLE "${ParaView_INSTALL_PREFIX}/bin/kwProcessXML")
SET(PARAVIEW_SERVER_MANAGER_RESOURCES_DIRECTORY "${ParaView_INSTALL_PREFIX}/lib/paraview/Servers/ServerManager/Resources")
SET(VTKCS_CONFIG_DIR "${ParaView_INSTALL_PREFIX}/lib/paraview/CMake")

SET(PARAVIEW_HDF5_LIBRARIES "/usr/lib/libhdf5.so")

# The ParaView library dependencies.
IF(NOT PARAVIEW_NO_LIBRARY_DEPENDS)
  INCLUDE("${ParaView_INSTALL_PREFIX}/lib/paraview/CMake/ParaViewLibraryDepends.cmake")
ENDIF(NOT PARAVIEW_NO_LIBRARY_DEPENDS)

SET(VTK_MAKE_INSTANTIATOR "${ParaView_INSTALL_PREFIX}/lib/paraview/CMake")
SET(VTK_ENCODESTRING_EXE "/build/buildd/paraview-3.8.1/obj-i686-linux-gnu/bin/vtkEncodeString")

# The locations/prefixes where this version of ParaView would be installed.
SET (PARAVIEW_INSTALL_LIB_DIR "lib/paraview")

SET(PARAVIEW_ENABLE_COPROCESSING "OFF")
IF(PARAVIEW_ENABLE_COPROCESSING)
  SET(CoProcessing_DIR "")
ENDIF(PARAVIEW_ENABLE_COPROCESSING)

